# Interface ClickableComponentOptions

interface ClickableComponentOptions {
className?: string;
clickHandler?: (() => void);
controlText?: string;
name?: string;
}

#### Hierarchy (view full)

- BaseComponentOptions
  - ClickableComponentOptions
    - MenuItemOptions
    - PlayToggleOptions

#####
Index

### Properties

className?
clickHandler?
controlText?
name?

## Properties

### `Optional` className

className?: string

Overrides BaseComponentOptions.className

### `Optional` clickHandler

clickHandler?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

### `Optional` controlText

controlText?: string

### `Optional` name

name?: string

Inherited from BaseComponentOptions.name